import { RouterType } from "@/types";
import React from "react";

const tabLeftArr: RouterType = [
  {
    id: 1,
    name: "内容发布",
    son: [
      {
        id: 101,
        name: "宁博概览",
        path: "/",
        Com: React.lazy(() => import("../A1survey")),
      },
      {
        id: 102,
        name: "宁博动态",
        path: "/dynamic",
        Com: React.lazy(() => import("../A2dynamic")),
      },
      {
        id: 103,
        name: "宁博文创",
        path: "/culture",
        Com: React.lazy(() => import("../A3culture")),
      },
      {
        id: 104,
        name: "宁博藏珍",
        path: "/goods",
        Com: React.lazy(() => import("../A4goods")),
      },
      {
        id: 105,
        name: "宁博展览",
        path: "/show",
        Com: React.lazy(() => import("../A5show")),
      },
      {
        id: 106,
        name: "宁博活动",
        path: "/activity",
        Com: React.lazy(() => import("../A6activity")),
      },
      {
        id: 107,
        name: "志愿者之家",
        path: "/volunteer",
        Com: React.lazy(() => import("../A7volunteer")),
      },
    ],
  },
  {
    id: 2,
    name: "预约记录",
    son: [
      {
        id: 201,
        name: "展馆预约",
        path: "/orderz",
        Com: React.lazy(() => import("../B1orderz")),
      },
      {
        id: 202,
        name: "活动预约",
        path: "/orderh",
        Com: React.lazy(() => import("../B2orderh")),
      },
      {
        id: 203,
        name: "志愿者预约",
        path: "/ordery",
        Com: React.lazy(() => import("../B3ordery")),
      },
    ],
  },
  {
    id: 3,
    name: "预约管理",
    son: [
      {
        id: 301,
        name: "展馆预约设置",
        path: "/orderset",
        Com: React.lazy(() => import("../C1orderset")),
      },
    ],
  },
  {
    id: 4,
    name: "系统设置",
    son: [
      {
        id: 401,
        name: "栏目管理",
        path: "/column",
        Com: React.lazy(() => import("../Z0column")),
      },
      {
        id: 2100,
        name: "用户管理",
        path: "/user",
        Com: React.lazy(() => import("../Z1user")),
      },
      {
        id: 2200,
        name: "系统日志",
        path: "/log",
        Com: React.lazy(() => import("../Z2log")),
      },
    ],
  },
];

export default tabLeftArr;
